[openstreetmap/openstreetmap-website] Supporting multiple API versions (#2353)

mmd notifications at github.com
Fri Aug 30 18:19:05 UTC 2019


> You were implying to that the *number" gives us licence to break everything at will,

It may be a red flag to other developers that things _may_ change, and we _could_ break things at our own discretion. In fact our Terms of Usage even support that approach. _IX Disclaimer_ says:

> We may add, change, replace, remove, or discontinue the features and functions of the Services, including APIs. It is your responsibility to ensure that calls or requests you make to the Services are compatible with then-current APIs and authentication methods, and that you handle responses properly.

Of course, we're trying to be nice, but we're in no way _obliged_ to do so.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/openstreetmap/openstreetmap-website/pull/2353#issuecomment-526699774
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openstreetmap.org/pipermail/rails-dev/attachments/20190830/f5104bc0/attachment.html>


More information about the rails-dev mailing list